﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.SqlServer.Dts.Runtime;
using Microsoft.SqlServer.Dts.Pipeline.Wrapper;
using System.IO;

namespace PackageCreation
{
    class Program
    {
        const string PackagePath = @"c:\book\chapter19\package.dtsx";

        static void Main(string[] args)
        {
            PackageEvents events = new PackageEvents();

            //
            // Creating a package
            //
            Package package = new Package();
            package.DesignEvents = events;

            // Add Data Flow Task
            Executable dataFlowTask = package.Executables.Add("STOCK:PipelineTask");

            // Set the name (otherwise it will be a random GUID value)
            TaskHost taskHost = dataFlowTask as TaskHost;
            taskHost.Name = "Data Flow Task";

            // We need a reference to the InnerObject to add items to the data flow
            MainPipe pipeline = taskHost.InnerObject as MainPipe;

            //
            // Saving a package
            //
            string xml;
            package.SaveToXML(out xml, events);
            File.WriteAllText(PackagePath, xml);

            //
            // Loading a package - empty package object
            //
            string fileXml = File.ReadAllText(PackagePath);
            Package newPackage = new Package();
            newPackage.LoadFromXML(fileXml, events);

            //
            // Loading a package - using an Application object
            //
            Application app = new Application();
            Package anotherPackage = app.LoadPackage(PackagePath, events);
        }
    }
}
