USE [Chapter6]
GO

--
-- Create the WorkItems table
--
CREATE TABLE [dbo].[WorkItems] (
	[WorkItemID] [bigint] IDENTITY(1,1) NOT NULL,
	[PackageName] [nvarchar](50) NOT NULL,
	[WorkItemState] [nvarchar](50) NOT NULL,
	[InputFileName] [nvarchar](1024) NULL,
	[DateCreated] [datetime] NOT NULL,
	[LastUpdate] [datetime] NULL,
    CONSTRAINT [PK_WorkItems] PRIMARY KEY CLUSTERED 
	(
		[WorkItemID] ASC
	)
)

--
-- Add default values
--
ALTER TABLE [dbo].[WorkItems] ADD  CONSTRAINT [DF_WorkItems_DateCreated]  DEFAULT (getdate()) FOR [DateCreated]
ALTER TABLE [dbo].[WorkItems] ADD  CONSTRAINT [DF_WorkItems_WorkItemState]  DEFAULT (N'Queued') FOR [WorkItemState]

GO


